Subject: bug#7699: 24.0.50; Emacs still doesn't paste what you select with mouse

From: "Drew Adams" <[email-masked]>
Date: Tue, 21 Dec 2010 11:33:05 -0800

> > select some text with the mouse (e.g. drag 
> > mouse-1).  Click mouse-2 to paste the text you selected.
> > Instead what was copied to the clipboard gets pasted.
> 
> It will work as you want if you customize mouse-drag-copy-region to a
> non-nil value, I think.

Yes, and that's what I use for myself.

This report is about the default setting of nil, i.e., for others.

> I will try to fix the default case as well in a few days (let me know
> if you want meanwhile to try a fix -- it's in mouse.el), but no
> promises, since this is all very tricky due to conflicting
> requirements and the fact that Windows doesn't have primary selection.
> See, for example, bug#6689.

Great, thanks.  And good luck.